<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Informe de Crédito</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }
        header, .content, footer {
            padding: 20px;
        }
        .grid-container {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
            gap: 20px;
            padding: 20px;
        }
        .gauge {
            width: 100px;
            height: 50px;
            overflow: hidden;
            position: relative;
            background: conic-gradient(#eee 3/4turn, #4caf50 3/4turn);
            border-radius: 50%;
        }
        .gauge__fill {
            position: absolute;
            top: 0; right: 0; bottom: 0; left: 0;
            background: #fff;
            transform-origin: center;
            border-radius: 50%;
        }
        .gauge__cover {
            position: absolute;
            top: 30%;
            left: 50%;
            transform: translateX(-50%);
            font-size: 18px;
            color: #000;
        }
        @media (max-width: 600px) {
            .grid-container {
                grid-template-columns: 1fr;
            }
        }
    </style>
</head>
<body>

<header>
    <div class="gauge">
        <div class="gauge__fill"></div>
        <div class="gauge__cover">0</div>
    </div>
</header>

<div class="content">
    <div class="grid-container">
        <div class="info-basic">
            <h2>Información Básica</h2>
            <!-- Información básica aquí -->
        </div>
        <div class="info-subject">
            <h2>Perfil del Sujeto</h2>
            <!-- Información del sujeto aquí -->
        </div>
        <div class="credit-score">
            <h2>Puntuación de Crédito</h2>
            <!-- Puntuación de crédito aquí -->
        </div>
    </div>
</div>

<footer>
    <!-- Footer aquí -->
</footer>

<script>
    const gaugeElement = document.querySelector(".gauge");
    function setGaugeValue(gauge, value) {
        if (value < 0 || value > 1) {
            return;
        }
        gauge.querySelector(".gauge__fill").style.transform = `rotate(${value / 2}turn)`;
        gauge.querySelector(".gauge__cover").textContent = `${Math.round(value * 100 * 24)}`;
    }
    // Establece el valor del gauge aquí según el score actual. Por ejemplo, para un score de 480 en un rango de 280 a 850:
    setGaugeValue(gaugeElement, (480 - 280) / (850 - 280));
</script>

</body>
</html>
